import 'package:flutter/material.dart';

import 'iconnect/store.dart';
export 'iconnect/mixin.dart';

//two global function:provider and connect
//one mixin for model:IConnect
Widget Function(Widget app) get provider => Store.instance.provider;

//if don't define model with mixin IConnect,could use these four function,for register,listen,dispatch
dynamic Function(BuildContext, dynamic) get listen => Store.instance.listen;
void Function(dynamic, [Function?]) get dispatch => Store.instance.dispatch;
dynamic Function(dynamic, [VoidCallback?]) get register =>
    Store.instance.register;
dynamic Function(dynamic, [VoidCallback?]) get unregister =>
    Store.instance.unRegister;
